GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
gtpin::KnobValue Struct Reference
GTPin: Configuration

Structure that holds knob value along with its type. More...

`#include <gt_knob_defs.h>`

## Data Fields
KNOB_TYPE | type
| Type of the Knob value.
bool | _bool
| knob value for 'type' = KNOB_TYPE_BOOL
int | _int
| knob value for 'type' = KNOB_TYPE_INTEGER
double | _double
| knob value for 'type' = KNOB_TYPE_DOUBLE
const char * | _str
| knob value for 'type' = KNOB_TYPE_STRING

## Detailed Description

Structure that holds knob value along with its type.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT